﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Globalization;
using System.Text;
using System.Windows.Data;
using System.Windows;
using WpfApplication3.Model;

namespace WpfApplication3.Converters
{
    public class EnumerationConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, CultureInfo culture)
        {
            if (!(values[0] is MyEnumeration))
                return DependencyProperty.UnsetValue;

            MyEnumeration enumValue = (MyEnumeration)values[0];
            FrameworkElement fe = (FrameworkElement)values[1];

            switch (enumValue)
            {
                case MyEnumeration.Value1: return fe.FindResource("EnumValue1");
                case MyEnumeration.Value2: return fe.FindResource("EnumValue2");
                case MyEnumeration.Value3: return fe.FindResource("EnumValue3");
            }

            throw new NotImplementedException(string.Format("Enumeration value '{0}' not implemented within converter.", enumValue));
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
